<?php
require_once 'core/init.php';

$user = new User();

if (!$user->isLoggedIn()) {
    Redirect::to('index.php');
}

if (Input::exists()) {
    if (Token::check(Input::get('token'))) {
        $validate = new Validate();
        $validation = $validate->check($_POST, array(
            'password_current' => array(
                'required' => true,
                'min' => 6
            ),
            'password_new' => array(
                'required' => true,
                'min' => 6
            ),
            'password_new_again' => array(
                'required' => true,
                'min' => 6,
                'matches' => 'password_new'
            )
        ));
        
        if ($validation->passed()) {
            try {
                if (Hash::make(Input::get('password_current'), $user->data()->salt) != $user->data()->password) {
                    echo '  -   !';
                } else {
                    $salt = Hash::make(32);
                    $user->update(array(
                        'password' => Hash::make(Input::get('password_new'), $salt),
                        'salt' => $salt
                    ));
                    Session::flash('home', '  !');
                    Redirect::to('index.php');
                }
            } catch(Exception $e) {
                die($e->getMessage());
            }
        } else {
            foreach ($validation->errors() as $error) {
                echo $error . '<br />';
            }
        }
    }
}
?>

<form action="" method="POST">
    <div class="field">
        <label for="password_current"> :</label>
        <input type="password" name="password_current" id="password_current" value=""/>
    </div>
    <div class="field">
        <label for="password_new"> :</label>
        <input type="password" name="password_new" id="password_new" value=""/>
    </div>
    <div class="field">
        <label for="password_new_again">  :</label>
        <input type="password" name="password_new_again" id="password_new_again" value=""/>
    </div>
    <input type="hidden" name="token" value="<?= Token::generate() ?>"/>
    <input type="submit" value=""/>
</form>