<?php
require_once 'core/init.php';

if (Input::exists()) {
    if (Token::check(Input::get('token'))) {
        $validate = new Validate();
        $validation = $validate->check($_POST, array(
            'username' => array('required' => true),
            'password' => array('required' => true)
        ));

        if ($validation->passed()) {
            $user = new User();
            
            $remember = (Input::get('remember') === 'on') ? true : false;
            
            $login = $user->login(Input::get('username'), Input::get('password'), $remember);
            if ($login) {
                Session::flash('home', '  !');
                Redirect::to('index.php');
            } else {
                echo ' !';
            }
        } else {
            foreach ($validation->errors() as $error) {
                echo $error . '<br />';
            }
        }        
    }
}
?>
<form action="" method="POST">
    <div class="field">
        <label for="username">:</label>
        <input type="text" name="username" id="username" value="" autocomplete="off"/>
    </div>
    <div class="field">
        <label for="password">:</label>
        <input type="password" name="password" id="password" value=""/>
    </div>
    <div class="field">
        <label for="remember">
            <input type="checkbox" name="remember" id="remember" value="on"/>  
        </label>
    </div>
    <input type="hidden" name="token" value="<?= Token::generate() ?>"/>
    <input type="submit" value=""/>
</form>